if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MCalls]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[MCalls]
GO

CREATE TABLE [dbo].[MCalls](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[TDate] [int] NOT NULL,
	[MCTime] [int] NOT NULL,
	[MCLevel] [decimal](19, 4) NOT NULL,
	[Margin] [decimal](19, 4) NOT NULL,
	[CCode] [char](12) NOT NULL,
	[FirmID] [varchar](12) NULL,
	[MsgText] [varchar](8000) NULL,
	[SubjText] [varchar](255) NULL,
	[MsgText2] [varchar](255) NULL,
	[MsgText3] [varchar](255) NULL,
	[MsgText4] [varchar](255) NULL,
	[MsgText5] [varchar](255) NULL,
	[MinMargin] [decimal](19, 4) NULL,
	[DepoValue] [decimal](19, 4) NULL,
	[MoneyValue] [decimal](19, 4) NULL,
	[Equity] [decimal](19, 4) NULL,
	[EMails] [varchar](255) NULL,
	[MCType] [int] NULL,
	[LimitMargin] [decimal](19, 4) NULL,
	[TargetMargin] [decimal](19, 4) NULL,
	[MCSubType] [int] NULL,
	[CorrMargin] [decimal](19, 4) NULL,
	[RCV1] [decimal](19, 4) NULL,				/*Величина параметра НПР1 в момент отсылки маржин-колла.*/
	[RCV2] [decimal](19, 4) NULL				/*Величина параметра НПР2 в момент отсылки маржин-колла.*/
) ON [PRIMARY]
GO